HAXE(1)

NAME
haxe - compile Haxe programs to SWF, Neko, JavaScript, PHP, C++, Java, C#, Python, Lua, or HashLink.

SYNOPSIS
haxe -main class [-swf9|-swf|-js|-neko|-php|-cpp|-as3|-cs|-java|-python|-hl|-lua] output [options...]

DESCRIPTION
haxe is a command-line compiler which compiles Haxe programs into Flash SWF, JavaScript, ActionScript, PHP, C++, Java, C#, Python, Lua, Neko bytecode, or HashLink bytecode.

Haxe programs are syntactically similar to JavaScript, but have a full-featured static type system with generics, compile-time macros, generalized algebraic datatypes, and more.

OPTIONS

-cp path
    Add a directory to find source files.

-js file
    Compile code to JavaScript file.

-lua file
    Compile code to Lua file.

-swf file
    Compile code to Flash SWF file.

-as3 directory
    Generate AS3 code into target directory.

-neko file
    Compile code to Neko Binary.

-php file
    Generate PHP code into target directory.

-cpp file
    Generate C++ code into target directory.

-cppia file
    Generate code to Cppia file.

-cs directory
    Generate C# code into target directory.

-java directory
    Generate Java code into target directory.

-python file
    Generate Python code as target file.

-hl file
    Compile HL code as target file.

-xml file
    Generate XML types description.

-main class
    Select startup class.

-lib library[:version]
    Use a haxelib library.

-D var[=value]
    Define a conditional compilation flag.

-v  Turn on verbose mode.

-debug
    Add debug information to the compiled code.

-help
    Show extended help information.

--help
    Show extended help information.

--help-defines
    Print help for all compiler specific defines.

--help-metas
    Print help for all compiler metadatas.

<dot-path>
    Compile the module specified by dot-path.

AUTHOR
Haxe is currently maintained by the Haxe Foundation. It was originally written by Nicolas Cannasse for Motion-Twin.

SEE ALSO
haxelib(1). https://haxe.org/.